<?php

namespace Drp\ProjectHelpers;

use Collective\Html\HtmlServiceProvider;
use Illuminate\Support\ServiceProvider;
use Laracasts\Flash\FlashServiceProvider;
use Watson\BootstrapForm\BootstrapFormServiceProvider;

/**
 * Class ProjectHelpersServiceProvider
 * @package Drp\ProjectHelpers
 * @SuppressWarnings(PHPMD.CouplingBetweenObjects)
 */
class ProjectHelpersServiceProvider extends ServiceProvider
{
    /**
     * Register bindings in the container.
     *
     * @return void
     */
    public function register()
    {
        $this->app->register(HtmlServiceProvider::class);
        $this->app->register(BootstrapFormServiceProvider::class);
        $this->app->register(FlashServiceProvider::class);


        require_once __DIR__ . '/macros.php';
        require_once __DIR__ . '/form_helpers.php';
    }
}
